<!DOCTYPE html>
        <html lang="en">
          <head>
            <meta charset="utf-8">
            <meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no' />
            <title>IQS</title>

            <!-- Leaflet -->
            <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
            <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
            <!-- Leaflet groupedlayercontrol-->
            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet-groupedlayercontrol/0.6.1/leaflet.groupedlayercontrol.css"/>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet-groupedlayercontrol/0.6.1/leaflet.groupedlayercontrol.min.js"></script>

            <style>
                body { margin:0; padding:0; }
                body, table, tr, td, th, div, h1, h2, input { font-family: "Calibri", "Trebuchet MS", "Ubuntu", Serif; font-size: 11pt; }
                #map { position:absolute; top:0; bottom:0; width:100%; } /* full size */
                .ctl {
                    padding: 2px 10px 2px 10px;
                    background: white;
                    background: rgba(255,255,255,0.9);
                    box-shadow: 0 0 15px rgba(0,0,0,0.2);
                    border-radius: 5px;
                    text-align: right;
                }
                .title {
                    font-size: 18pt;
                    font-weight: bold;
                }
                .src {
                    font-size: 10pt;
                }

            </style>

        </head>
        <body>

        <div id="map"></div>

        <script>
        /* **** Leaflet **** */

        // Base layers
        //  .. OpenStreetMap
        var osm = L.tileLayer('https://{s}.tile.osm.org/{z}/{x}/{y}.png', {attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors', minZoom: 11, maxZoom: 18});

        var op = 1;

        {% for m in maps %}
	        var {{ m }} = L.tileLayer('./{{ m }}/{z}/{x}/{y}.png', {tms: true, opacity: op, attribution: "Informations dépourvues de fois publique", minZoom: 11, maxZoom: 18});
        {% endfor %}

        // Map
        var map = L.map('map', {
            crs: L.CRS.EPSG3857,
            center: [46.519484217303, 6.48994079891032],
            zoom: 18,
            minZoom: 11,
            maxZoom: 18,
            layers: [],
            zoomControl: false
        });

        map.addLayer( {{maps[0]}})


        //var Esri_WorldImagery = L.tileLayer('https://server.arcgisonline.com/ArcGIS/rest/services/World_Imagery/MapServer/tile/{z}/{y}/{x}', {
	    //    attribution: 'Tiles &copy; Esri &mdash; Source: Esri, i-cubed, USDA, USGS, AEX, GeoEye, Getmapping, Aerogrid, IGN, IGP, UPR-EGP, and the GIS User Community'
        //});
        

        var swisstopo_ortho = new L.tileLayer('https://wmts20.geo.admin.ch/1.0.0/ch.swisstopo.swissimage/default/current/3857/{z}/{x}/{y}.jpeg');
        var swisstopo_map = new L.tileLayer('https://wmts20.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-grau/default/current/3857/{z}/{x}/{y}.jpeg');
        //map.addLayer(tilelayer);

        var basemaps = {}
        var groupedOverlays = {
            "Notes":{
                {% for m in maps %}
	                "{{ '_'.join(m.split('_')[2:]) }}":{{ m }},
                {% endfor %}
             },
             "Maps":{
             "Swisstopo": swisstopo_map, "Ortho":swisstopo_ortho
             }

        };
        var options = {
          // Make the "Landmarks" group exclusive (use radio inputs)
          exclusiveGroups: ["Notes"],
          // Show a checkbox next to non-exclusive group labels for toggling all
          //groupCheckboxes: true,
          collapsed: false
        };


        var logo = L.control({position: 'bottomright'});
        logo.onAdd = function(map){
            var div = L.DomUtil.create('div', 'myclass');
            div.innerHTML= "<a href='./maps.html'><img src='static/legend_color_txt.png' height='200'/></a>";
            return div;
        }
        logo.addTo(map);

        // Note  <a href="https://www.regionmorges.ch/">Région-Morges</a>
        var src = 'Projet IQS-Morges, réalisé par <a href="https://www.hesge.ch/hepia/">HEPIA</a>, <a href="https://www.heia-fr.ch">HEIA-FR</a> et <a href="https://heig-vd.ch/">HEIG-VD</a> pour <a href="https://www.regionmorges.ch/">Région-Morges</a>';
        var title = L.control({position: 'bottomleft'});
        title.onAdd = function(map) {
            this._div = L.DomUtil.create('div', 'ctl src');
            this.update();
            return this._div;
        };
        title.update = function(props) {
            this._div.innerHTML = src;
        };
        title.addTo(map);

        var src1 = '<h1>Carte indicative de qualité des sols</h1>';
        var title1 = L.control({position: 'topleft'});
        title1.onAdd = function(map) {
            this._div = L.DomUtil.create('div', 'ctl src');
            this.update();
            return this._div;
        };
        title1.update = function(props) {
            this._div.innerHTML = src1;
        };
        title1.addTo(map);


        // Add base layers
        var layerControl = L.control.groupedLayers(basemaps, groupedOverlays, options);
        map.addControl(layerControl);

        // Fit to overlay bounds (SW and NE points with (lat, lon))
        map.fitBounds([[46.47060142044368, 6.553637432614918], [46.568367014162334, 6.426244165205721]]);

        </script>

        </body>
        </html>
